Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PageBlockRelatedArticle

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlockRelatedArticle

Enclosing class:
  TdApi

public static final class TdApi.PageBlockRelatedArticle extends TdApi.Object
Contains information about a related article.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`author`
Article author; may be empty.
`static final int`
`CONSTRUCTOR`
`String`
`description`
Article description; may be empty.
`TdApi.Photo`
`photo`
Article photo; may be null.
`int`
`publishDate`
Point in time (Unix timestamp) when the article was published; 0 if unknown.
`String`
`title`
Article title; may be empty.
`String`
`url`
Related article URL.

## Constructor Summary

Constructors
Constructor
Description
`PageBlockRelatedArticle()`
Contains information about a related article.
`PageBlockRelatedArticle(DataInput input)`
Contains information about a related article.
`PageBlockRelatedArticle(String url, String title, String description, TdApi.Photo photo, String author, int publishDate)`
Contains information about a related article.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### url

public String url
Related article URL.

### title

public String title
Article title; may be empty.

### description

public String description
Article description; may be empty.

### photo

public TdApi.Photo photo
Article photo; may be null.

### author

public String author
Article author; may be empty.

### publishDate

public int publishDate
Point in time (Unix timestamp) when the article was published; 0 if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PageBlockRelatedArticle

public PageBlockRelatedArticle()
Contains information about a related article.

### PageBlockRelatedArticle

public PageBlockRelatedArticle(String url, String title, String description, TdApi.Photo photo, String author, int publishDate)
Contains information about a related article.

Parameters:
  `url` - String Related article URL.
  `title` - String Article title; may be empty.
  `description` - String Article description; may be empty.
  `photo` - Photo Article photo; may be null.
  `author` - String Article author; may be empty.
  `publishDate` - int Point in time (Unix timestamp) when the article was published; 0 if unknown.

### PageBlockRelatedArticle

public PageBlockRelatedArticle(DataInput input) throws IOException
Contains information about a related article.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`